- [HTTP request](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/projects.eventThreatDetectionSettings.customModules/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/projects.eventThreatDetectionSettings.customModules/create#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/projects.eventThreatDetectionSettings.customModules/create#body.request_body)
- [Response body](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/projects.eventThreatDetectionSettings.customModules/create#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/projects.eventThreatDetectionSettings.customModules/create#body.aspect)
- [Try it!](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/projects.eventThreatDetectionSettings.customModules/create#try-it)

Creates a resident Event Threat Detection custom module at the scope of the given Resource Manager parent, and also creates inherited custom modules for all descendants of the given parent. These modules are enabled by default.

### IAM Permissions

Requires the following IAM permission on the resource specified in the `parent` field:

- `securitycenter.eventthreatdetectioncustommodules.create`

### HTTP request

Choose an endpoint:
global me-central2 us eu   
`POST https://securitycenter.googleapis.com/v1/{parent=projects/*/eventThreatDetectionSettings}/customModules`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The new custom module's parent. Its format is: - `organizations/{organization}/eventThreatDetectionSettings`. - `folders/{folder}/eventThreatDetectionSettings`. - `projects/{project}/eventThreatDetectionSettings`. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/folders.eventThreatDetectionSettings.customModules#EventThreatDetectionCustomModule`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/folders.eventThreatDetectionSettings.customModules#EventThreatDetectionCustomModule`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/securitycenter`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).